Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.olap.query
Class ExprStringConverter

    java.lang.Object
      com.tonbeller.jpivot.olap.model.VisitorSupportStrict
          com.tonbeller.jpivot.olap.query.ExprStringConverter

All Implemented Interfaces:
  Visitor

    public class ExprStringConverter

extends VisitorSupportStrict

Expression to String converter

Field Summary
`protected java.lang.StringBuffer` | `strbuf`

Constructor Summary
`ExprStringConverter()`

Method Summary
`java.lang.String` | `exprToString(Expression e)`
`void` | `visitBooleanExpr(BooleanExpr v)`
`void` | `visitDimension(Dimension v)`
`void` | `visitDoubleExpr(DoubleExpr v)`
`void` | `visitFunCallExpr(FunCallExpr v)`
`void` | `visitHierarchy(Hierarchy v)`
`void` | `visitIntegerExpr(IntegerExpr v)`
`void` | `visitLevel(Level v)`
`void` | `visitMember(Member v)`
`void` | `visitParameterExpr(ParameterExpr v)`
`void` | `visitStringExpr(StringExpr v)`

Methods inherited from class com.tonbeller.jpivot.olap.model.VisitorSupportStrict
`visitAxis, visitCell, visitEmptyMember, visitMemberPropertyMeta, visitPosition, visitProperty, visitPropertyExpr, visitResult`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### strbuf

    protected java.lang.StringBuffer strbuf

Constructor Detail

### ExprStringConverter

    public ExprStringConverter()

Method Detail

### exprToString

    public java.lang.String exprToString(Expression e)

### visitBooleanExpr

    public void visitBooleanExpr(BooleanExpr v)

  Specified by:
    `visitBooleanExpr` in interface `Visitor`
  Overrides:
    `visitBooleanExpr` in class `VisitorSupportStrict`

### visitDimension

    public void visitDimension(Dimension v)

  Specified by:
    `visitDimension` in interface `Visitor`
  Overrides:
    `visitDimension` in class `VisitorSupportStrict`

### visitDoubleExpr

    public void visitDoubleExpr(DoubleExpr v)

  Specified by:
    `visitDoubleExpr` in interface `Visitor`
  Overrides:
    `visitDoubleExpr` in class `VisitorSupportStrict`

### visitFunCallExpr

    public void visitFunCallExpr(FunCallExpr v)

  Specified by:
    `visitFunCallExpr` in interface `Visitor`
  Overrides:
    `visitFunCallExpr` in class `VisitorSupportStrict`

### visitHierarchy

    public void visitHierarchy(Hierarchy v)

  Specified by:
    `visitHierarchy` in interface `Visitor`
  Overrides:
    `visitHierarchy` in class `VisitorSupportStrict`

### visitIntegerExpr

    public void visitIntegerExpr(IntegerExpr v)

  Specified by:
    `visitIntegerExpr` in interface `Visitor`
  Overrides:
    `visitIntegerExpr` in class `VisitorSupportStrict`

### visitLevel

    public void visitLevel(Level v)

  Specified by:
    `visitLevel` in interface `Visitor`
  Overrides:
    `visitLevel` in class `VisitorSupportStrict`

### visitMember

    public void visitMember(Member v)

  Specified by:
    `visitMember` in interface `Visitor`
  Overrides:
    `visitMember` in class `VisitorSupportStrict`

### visitParameterExpr

    public void visitParameterExpr(ParameterExpr v)

  Specified by:
    `visitParameterExpr` in interface `Visitor`
  Overrides:
    `visitParameterExpr` in class `VisitorSupportStrict`

### visitStringExpr

    public void visitStringExpr(StringExpr v)

  Specified by:
    `visitStringExpr` in interface `Visitor`
  Overrides:
    `visitStringExpr` in class `VisitorSupportStrict`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD